%define revision 1138
%define rel 3

Name:		vbam
Version:	1.8.0
Release:	%mkrel -c svn%{revision} %{rel}
Summary:	A Game Boy emulator
License:	GPLv2+
Group:		Emulators
URL:		http://sourceforge.net/projects/vbam
Source0:	http://downloads.sourceforge.net/vbam/%{name}-%{version}.%{revision}-src.tar.gz
Patch0:		%{name}-%{version}-glibc.patch
Patch1:		vbam-1.8.0-staticlib.patch
BuildRequires:	cmake
BuildRequires:	openal-devel
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	gtkglextmm-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	imagemagick
BuildRequires:	ffmpeg-devel
BuildRequires:	sfml-devel
Obsoletes:	visualboyadvance < %{version}-%{release}
Provides:	visualboyadvance = %{version}-%{release}

%description
VisualBoyAdvance-M (vbam) is a Nintendo (TM) Game Boy, Game Boy Color and
Game Boy Advance emulator.
It is based on VisualBoyAdvance and integrates the best 
features from the various other forks.

It also features a GTK frontend (gvbam) and a CLI interface with SDL.

%prep
%setup -qc %{name}-%{version}.%{revision}
%apply_patches

%build
%cmake -DENABLE_FFMPEG=OFF -DENABLE_WX=OFF
%make

%install
%makeinstall_std -C build

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 debian/%{name}.1 %{buildroot}%{_mandir}/man1

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Game" \
  --remove-key="Encoding" \
  --add-category="Emulator" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%find_lang g%{name}

%files -f g%{name}.lang
%doc doc/ReadMe.SDL.txt doc/DevInfo.txt
%{_bindir}/*vbam
%config(noreplace) %{_sysconfdir}/vbam.cfg
%{_datadir}/%{name}
%{_datadir}/applications/g%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-0.svn1138.3.mga3
+ Revision: 385232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.2.mga3
+ Revision: 298932
- fix requires

* Fri Sep 28 2012 fwang <fwang> 1.8.0-0.svn1138.1.mga3
+ Revision: 298915
- build staticlib
- new snapshot 1.8.0.1138

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.6.mga3
+ Revision: 298629
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 1.8.0-0.svn1103.5.mga3
+ Revision: 298610
- rebuild for new pango

* Fri Jul 27 2012 dams <dams> 1.8.0-0.svn1103.4.mga3
+ Revision: 274984
- fix typo in provides

* Sat Jul 21 2012 dams <dams> 1.8.0-0.svn1103.3.mga3
+ Revision: 272998
- clean specfile and update .desktop file
- clean specfile

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.2.mga3
+ Revision: 272939
- fix typo in 'provides' and 'obsoletes'

* Fri Jul 20 2012 dams <dams> 1.8.0-0.svn1103.1.mga3
+ Revision: 272917
- new snapshot r1103
- imported package vbam

